Package org.pushingpixels.substance.internal.contrib.randelshofer.quaqua

# Class Quaqua13ColorChooserUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ColorChooserUI
org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.Quaqua13ColorChooserUI

Direct Known Subclasses:
  `Quaqua14ColorChooserUI`

public class Quaqua13ColorChooserUI extends ColorChooserUI
QuaquaColorChooserUI.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`Quaqua13ColorChooserUI.PropertyHandler`
This inner class is marked "public" due to a compiler bug.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected JColorChooser`
`chooser`
`protected AbstractColorChooserPanel[]`
`defaultChoosers`
`protected ColorChooserMainPanel`
`mainPanel`
`protected ChangeListener`
`previewListener`
`protected JComponent`
`previewPanel`
`protected PropertyChangeListener`
`propertyChangeListener`

## Constructor Summary

Constructors
Constructor
Description
`Quaqua13ColorChooserUI()`

## Method Summary

Modifier and Type
Method
Description
`protected AbstractColorChooserPanel[]`
`createDefaultChoosers()`
`protected PropertyChangeListener`
`createPropertyChangeListener()`
`static ComponentUI`
`createUI(JComponent c)`
`protected void`
`installDefaults()`
`protected void`
`installListeners()`
`protected void`
`installPreviewPanel()`
`void`
`installUI(JComponent c)`
`protected void`
`uninstallDefaultChoosers()`
`protected void`
`uninstallDefaults()`
`protected void`
`uninstallListeners()`
`void`
`uninstallUI(JComponent c)`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### mainPanel

protected ColorChooserMainPanel mainPanel

### chooser

protected JColorChooser chooser

### previewListener

protected ChangeListener previewListener

### propertyChangeListener

protected PropertyChangeListener propertyChangeListener

### defaultChoosers

protected AbstractColorChooserPanel[] defaultChoosers

### previewPanel

protected JComponent previewPanel

## Constructor Details

### Quaqua13ColorChooserUI

public Quaqua13ColorChooserUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)

### installUI

public void installUI(JComponent c)

Overrides:
  `installUI` in class `ComponentUI`

### createDefaultChoosers

protected AbstractColorChooserPanel[] createDefaultChoosers()

### uninstallUI

public void uninstallUI(JComponent c)

Overrides:
  `uninstallUI` in class `ComponentUI`

### installDefaults

protected void installDefaults()

### uninstallDefaults

protected void uninstallDefaults()

### installListeners

protected void installListeners()

### uninstallListeners

protected void uninstallListeners()

### createPropertyChangeListener

protected PropertyChangeListener createPropertyChangeListener()

### installPreviewPanel

protected void installPreviewPanel()

### uninstallDefaultChoosers

protected void uninstallDefaultChoosers()